﻿# TPS1100 Convert: Zapisnik Razvoja

Zapisnik razvoja programa TPS1100 Convert.


---

## v2.8.0.0 (2024/07/03) - Nova verzija!

- Inteegracija projektov (Virtualna Kartica/Projekti)
    - Priprava okna za urejanje projektov
	- Dodana nastavitev My.Setting.Projekt (Privzeta vrednost: "Virtualna Kartica")
	- Dodana nastavitev My.Setting.ProjektMapa (Privzeta vrednost: "\Virtualna Kartica")
	- Dodana mapa "Virtualna Kartica" (Struktura mape kot na PC-Kartici)
	- Dodana mapa "Projekti" za posebne projekte
    - Preureditev podatkov v mapi ../Podatki
	- Datoteke GSI se pred procesiranjem kopirajo v delovni projekt
    	- Izvorne datoteke izven delovne mape ostanejo originalne
	- Pregled GSI jobov v projektih in nalaganje za procesiranje v TPS1100 Convert
- Dodana funkcija za uvoz GSI joba v delovni projekt
- Posodobljen izgled UI
- Popravki delovanja priprave GEO skripte in Zapisnika
    - Dodane funkcije za pripravo podatkov za stojišča


---


## v2.7.1.0 (2024/07/03)

- Idejna zasnova za razvoj "Virtualna Kartica/Projekti"


---


## v2.7.0.9 (2024/06/29)

- Popravki nalaganja nastavitev iz datoteke "tps1100_kode.txt" pri zagonu aplikacije
- Popravki delovanja shranjevanja nastavitev v oknu za nastavitve


---


## v2.7.0.8 (2024/06/26)

- Preverjanje za posodobitev aplikacije
- Popravljeno branje decimalnega ločila v "Pripravi GSI".


---


## v2.7.0.5 (2024/06/26)

### Novo

- Dodan gumb za hiter pomik na začetek izpisa
- Uvoz/Priprava datoteke z kodiranjem "tps1100_kode.txt" pri zagonu


---

## v2.7.0.4 (2024/06/25)

### Novo

- Dodano preverjanje za posodobitve


---

## v2.7.0.3 (2024/06/20)

### Novo

- Dodane funkcije za uvoz, izvoz in ponastavitev kodiranja podatkov v nastavitvah


---

## v2.7.0.0 (2024/06/20)

### Novo

- Priprava GEO datoteke za obdelavo meritev v programu GeoPro/GeoX
- Dodano izpisovanje klasifikacije točk uporabljenih za orientacijo (Seznamu točk)
- Dodane kode za ročni vnos podatkov:
	- (koda: 1) stojišče
	- (koda: 2) temperatura in zračni pritisk pritisk
	- (koda: 3) orientacije


### Spremembe

- Dodana vrstica z meniji Datoteka in Program
- Posodobljen vmesnik v glavnem oknu aplikacije
- Funkcije Info, Navodila in Nastavitve so prestavljene v vrstico z meniji
- Sprememnjen način prikazovanja polj za ročni vnos podatkov za stojišče, temp./pritisk in orientacijo (Urejevalnik GSI datotek)
- Odstranjena koda za "StakeOut" (ni uporabna)


### V Delu

- Delo na dokumentaciji:
	- Navodila za uporabo programa
	- Kodiranje podatkov (uporaba in opis kod)


---

## Verzija - 2.6.x

Datum: 2024/06/13

- Dodane koda za orientacije in podatke o stojišču

---

## Verzija - 2.5.x

Datum: 2024/06/10

- Dodan menu z nastavitvami

---

## Verzija - 2.4

Datum: 2024/06/03

- Dodan urejevalnik GSI datotek
- Dodana opcija za izbiro decimalnega ločila (Pika/Vejica)
- Dodana opcija za izbiro ločila med podatki (Presledek/Tabulator)
- Izpis zapisnika meritev kot tabela

---

## Verzija - 2.1

Datum: 2018/12/27

- Združen izpis seznama koordinat točk (Merjene Točke + Vse Točke)

---

## Verzija - 2.0

Datum: 2018/12/27

- Dodano izpisovanje kodiranja v "Zapisnik Meritve"

---

## Verzija - 1.0

Datum: 2016/06/26

- Prva izdaja programa
